import { Coreflow } from './coreflow.classes.coreflow.js';
import * as plugins from './coreflow.plugins.js';

export class InternalServer {
  public coreflowRef: Coreflow;
  public typedsocketServer: plugins.typedsocket.TypedSocket;

  constructor(coreflowRefArg: Coreflow) {
    this.coreflowRef = coreflowRefArg;
  }

  public async start() {
    this.typedsocketServer = await plugins.typedsocket.TypedSocket.createServer(
      this.coreflowRef.typedrouter
    );
  }

  public async stop() {
    await this.typedsocketServer.stop();
  }
}
